package model

import (
	"context"
	"icloudapp.cn/tools/service"
	sEntity "icloudapp.cn/tools/service/entity"
)

type MFonts struct {
	ctx context.Context
}

func NewMFonts(ctx context.Context) *MFonts {
	return &MFonts{
		ctx: ctx,
	}
}

func (m *MFonts) Add(fonts *sEntity.Font) (*sEntity.Font, error) {
	material, err := service.NewFonts(m.ctx).Add(fonts)
	if err != nil {
		return nil, err
	}
	return material, nil
}
