package service

import (
	"fmt"
	setting "icloudapp.cn/tools/config"
	"testing"
	"time"
)

func TestGenToken(t *testing.T) {
	setting.Init("test")
	fmt.Println("time.Duration", time.Duration(86400)*time.Second)
	fmt.Println(GenJWTToken(1, "admin"))
}

func TestParseToken(t *testing.T) {
	setting.Init("test")
	s := "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOiIxIiwidXNlcm5hbWUiOiJhZG1pbiIsImV4cCI6MTY3ODM2NzI1MSwiaXNzIjoicG9zdGVyIn0.K1BC0oXmAP3e8Eb5SDnEoPjj5lvn61fJDB2uIk9XQIw"
	fmt.Print(ParseJWTToken(s))
}
