package controller

import (
	"github.com/gin-gonic/gin"
	"icloudapp.cn/tools/entity"
	"icloudapp.cn/tools/model"
	utString "icloudapp.cn/tools/util/string"
)

func Materials(ctx *gin.Context) {
	uid := utString.ConvertInt64(ctx.GetString("uid"))
	mMaterial := model.NewMMaterial(ctx)
	materials := mMaterial.Materials(uid)

	entity.ResponseNormal(ctx, materials.Code, materials.Msg, materials.Body)
}
